Name:		anyremote
Version:	6.3.2
Release:	%mkrel 2
Summary:	Remote control through bluetooth or IR connection
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://anyremote.sourceforge.net/
Source0:	http://sourceforge.net/projects/anyremote/files/%{name}/%{version}/%{name}-%{version}.tar.gz
Requires:	bluez
Requires:	irda-utils
BuildRequires:	libxtst-devel
BuildRequires:	libbluez-devel
BuildRequires:	libdbus-devel
BuildRequires:	libdbus-glib-devel
Suggests:	kanyremote
Suggests:	anyremote2html

%description
The overall goal of this project is to provide wireless remote control program 
on Linux through Bluetooth, InfraRed, Wi-Fi or just TCP/IP connection.

anyRemote supports wide range of modern cell phones line Nokia, SonyEricsson, 
Motorola and others. 

anyRemote was developed as thin "communication" layer between Buetooth 
(IR, Wi-Fi)  capable phone and Linux, and in principle could be configured to 
manage almost any software. 

anyRemote could be used with:
* bluetooth connection with java client if cell phone is JSR82 compatible
* Wi-Fi connection with java client if phone supports Wi-Fi
* IR connection with java client if java realization in phone supports access 
  to IR port
* ordinary TCP/IP connection with java client, if PC is connectable from 
  the Internet
* bluetooth, infrared or cable connection using AT "modem" commands
* web interface
* it supports some of IR remotes supplied with TV tuner cards (like LIRC)
* it has limited support for Bemused clients 

anyRemote is a console application, but in addition there are GUI front ends 
for Gnome and KDE.

%package doc
Summary:	Documentation for anyRemote
Group:		Documentation
BuildArch:      noarch

%description doc
Documentation for anyRemote.

%prep
%setup -q -n %name-%version

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %name

%files -f %name.lang
%doc COPYING ChangeLog README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*

%files doc
%doc doc-html/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 6.3.2-2.mga4
+ Revision: 536920
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 bersuit <bersuit> 6.3.2-1.mga4
+ Revision: 485644
- Update to new upstream release 6.3.2

* Thu Jun 13 2013 fwang <fwang> 6.3.1-1.mga4
+ Revision: 442286
- new version 6.3.1

* Mon Jun 10 2013 juancho <juancho> 6.3-1.mga4
+ Revision: 441404
- New version 6.3

* Fri Jan 11 2013 umeabot <umeabot> 6.2-2.mga3
+ Revision: 345617
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 juancho <juancho> 6.2-1.mga3
+ Revision: 335253
- Updated to version 6.2

* Wed Oct 17 2012 fwang <fwang> 6.1.1-1.mga3
+ Revision: 307368
- new version 6.1.1

* Tue Jun 05 2012 juancho <juancho> 6.0-1.mga3
+ Revision: 255926
- Updated to 0.6

* Tue Jan 10 2012 juancho <juancho> 5.5-1.mga2
+ Revision: 194786
- Updated to 5.5

* Thu Dec 15 2011 juancho <juancho> 5.4.2-2.mga2
+ Revision: 181776
- Changed group to "System/Kernel and hardware"
- Added doc subpackage
- Changed group to "System/Kernel and Hardware"

* Thu Dec 15 2011 juancho <juancho> 5.4.2-1.mga2
+ Revision: 181726
- Fix man installation.
- imported package anyremote

